Subject: bug#27060: ‘Semantic helper for text compose

From: Boris Pevzner <[email-masked]>
Date: Wed, 24 May 2017 17:11:55 +0300

‘Semantic helper for text compose.’

Semantic  helper for text compose  allows users to write text using our
prediction semantic write algorithm. The helper works together with any
standard editors.

The helper gives word suggestions extracted from a corpus of English sentences,
in the case when an user faced difficult to typing  a word in composing
text. The algorithm gives some alternative options which are not connected
with alphabetic writing, but more to semantic meaning (concept) of the
words suitable for the user’s context. This system will be useful for an
user having non-English mother language.

Our potential users are students ( creating home tasks), writers (creating
manuscripts), scientists  (creating reports, reviews ) and so on. The
helper can apply on PC ( with great screen) but not on mobile devices.

We made a working prototype.

Boris Pevzner

[email-masked]